Name: qlandkartegt
Version: 1.0.1
Release: 1%{?dist}
Summary: GPS device mapping tool

Group: Applications/Communications
License: GPLv2+
URL: http://www.qlandkarte.org/
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: garmindev(interface) = 1.18
Requires: gpsbabel

BuildRequires: cmake
BuildRequires: qt4-devel
BuildRequires: proj-devel
BuildRequires: gdal-devel
BuildRequires: desktop-file-utils
BuildRequires: libexif-devel
BuildRequires: libdmtx-devel
%if 0%{?fedora} > 13
BuildRequires: gpsd-devel
BuildRequires: qt-webkit-devel
%endif


%description
QLandkarte GT is the ultimate outdoor aficionado's tool for GPS maps in
GeoTiff format as well as Garmin's img vector map format. Additional it is
the PC side frontend to QLandkarte M, a moving map application for mobile
devices. And it fills the gap Garmin leaves in refusing to support Linux.
QLandkarte GT is the proof that writing portable applications for Unix,
Windows and OSX is feasible with a minimum of overhead. No excuses!

QLandkarte GT does replace the original QLandkarte with a much more
flexible architecture. It's not limited to a map format or device. Thus
if you think your Magellan GPS or other should be supported, join the team.

Additionally it is a front end to the GDAL tools, to make georeferencing
scanned maps feasible for the normal user. Compared to similar tools like
QGis, it's target users are more on the consumer side than on the scientific
one. QLandkarte GT might not let you select every possible feature of the
GDAL tools, but it will simplify their use to the demands of most users.


%prep
%setup -q

# create build direcotory
mkdir build


%build
cd build
%cmake -DBUILD_SHARED_LIBS:BOOL=OFF -DGPX_EXTENSIONS=ON ..
make VERBOSE=1 %{?_smp_mflags}


%install
rm -rf %{buildroot}
cd build
make install DESTDIR=%{buildroot}

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc copying changelog.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.*


%changelog
* Thu Jan 27 2011 Dan Horák <dan[at]danny.cz> 1.0.1-1
- update to 1.0.1

* Sat Jan  1 2011 Dan Horák <dan[at]danny.cz> 1.0.0-2
- needs BR: qt-webkit-devel on F >= 14

* Sat Jan  1 2011 Dan Horák <dan[at]danny.cz> 1.0.0-1
- update to 1.0.0

* Wed Dec  8 2010 Dan Horák <dan[at]danny.cz> 0.20.3-1
- update to 0.20.3

* Fri Nov 19 2010 Dan Horák <dan[at]danny.cz> 0.20.2-1
- update to 0.20.2

* Wed Nov  3 2010 Dan Horák <dan[at]danny.cz> 0.20.1-1
- update to 0.20.1

* Mon Sep 27 2010 Dan Horák <dan[at]danny.cz> 0.19.2-1
- update to 0.19.2

* Mon Sep 13 2010 Dan Horák <dan[at]danny.cz> 0.19.1-1
- update to 0.19.1

* Mon Aug 16 2010 Dan Horák <dan[at]danny.cz> 0.19.0-1
- update to 0.19.0

* Sun Jul  4 2010 Dan Horák <dan[at]danny.cz> 0.18.4-1
- update to 0.18.4

* Sun Jul  4 2010 Dan Horák <dan[at]danny.cz> 0.18.3-2
- newer garmindev is needed

* Sat Jul  3 2010 Dan Horák <dan[at]danny.cz> 0.18.3-1
- update to 0.18.3
- dropped the gtkstyle hack

* Wed May 12 2010 Dan Horák <dan[at]danny.cz> 0.18.2-1
- update to 0.18.2

* Sat Apr  3 2010 Dan Horák <dan[at]danny.cz> 0.18.1-1
- update to 0.18.1

* Sat Mar  6 2010 Dan Horák <dan[at]danny.cz> 0.18.0-1
- update to 0.18.0

* Sat Feb  6 2010 Dan Horák <dan[at]danny.cz> 0.17.1-1
- update to 0.17.1

* Tue Jan 26 2010 Dan Horák <dan[at]danny.cz> 0.17.0-2
- added 2 fixes from upstream

* Mon Jan 25 2010 Dan Horák <dan[at]danny.cz> 0.17.0-1
- update to 0.17.0

* Wed Dec 23 2009 Dan Horák <dan[at]danny.cz> 0.16.1-1
- update to 0.16.1

* Wed Nov 25 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.16.0-3
- Rebuild for Qt 4.6.0 RC1 in F13 (was built against Beta 1 with unstable ABI)

* Fri Nov  6 2009 Dan Horák <dan[at]danny.cz> 0.16.0-2
- don't build the 3rd party stuff as shared libraries

* Tue Oct 27 2009 Dan Horák <dan[at]danny.cz> 0.16.0-1
- update to 0.16.0

* Sat Sep 19 2009 Dan Horák <dan[at]danny.cz> 0.15.1-1
- update to 0.15.1

* Tue Aug 18 2009 Dan Horák <dan[at]danny.cz> 0.15.0-1
- update to 0.15.0

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 20 2009 Dan Horak <dan[at]danny.cz> 0.14.1-1
- update to 0.14.1
- add workaround for #498111

* Wed Apr 15 2009 Dan Horak <dan[at]danny.cz> 0.11.1-1
- update to 0.11.1

* Tue Mar 10 2009 Dan Horak <dan[at]danny.cz> 0.11.0-1
- update to 0.11.0

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb  6 2009 Dan Horak <dan[at]danny.cz> 0.10.0-1
- update to 0.10.0

* Fri Jan  2 2009 Dan Horak <dan[at]danny.cz> 0.9.3-1
- update to 0.9.3

* Tue Dec 23 2008 Dan Horak <dan[at]danny.cz> 0.9.2-1
- update to 0.9.2

* Fri Dec  5 2008 Dan Horak <dan[at]danny.cz> 0.9.1-1
- update to 0.9.1

* Tue Nov 25 2008 Dan Horak <dan[at]danny.cz> 0.9.0-1
- update to 0.9.0
- drop upstreamed sources and patch

* Wed Nov 19 2008 Dan Horak <dan[at]danny.cz> 0.8.1-3
- require garmindev(interface) = 1.15 for correct interraction with the Germin GPS drivers
- add comment to the patch0

* Sun Nov 16 2008 Dan Horak <dan[at]danny.cz> 0.8.1-2
- add patch for bigendian arches

* Fri Nov 14 2008 Dan Horak <dan[at]danny.cz> 0.8.1-1
- initial Fedora version
